# \Thelia\Core\EventListenerViewListener

ViewSubscriber Main class subscribing to view http response.

## Summary

Methods
Properties
Constants
__construct()
onKernelView()
beforeKernelView()
findView()
getSubscribedEvents()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
$container
N/A

File
  Core/EventListener/ViewListener.php
Package
  \Default
Class hierarchy
  \Thelia\Core\EventListener\ViewListener

## Tags

TODO | Look if it's possible to block this definition in dependency-injection
author | Manuel Raynaud mraynaud@openstudio.fr

## Properties

### $container

    $container : \Thelia\Core\EventListener\Symfony\Component\DependencyInjection\ContainerInterface

#### Type

\Thelia\Core\EventListener\Symfony\Component\DependencyInjection\ContainerInterface

#

## Tags

None found

## Methods

### __construct()

    __construct(\Symfony\Component\DependencyInjection\ContainerInterface $container)

#### Parameters

\Symfony\Component\DependencyInjection\ContainerInterface | $container |

#

## Tags

None found

### onKernelView()

    onKernelView(\Symfony\Component\HttpKernel\Event\GetResponseForControllerResultEvent $event)

Launch the parser defined on the constructor and get the result.

The result is transform id needed into a Response object

#### Parameters

\Symfony\Component\HttpKernel\Event\GetResponseForControllerResultEvent | $event |

#

## Tags

None found

### beforeKernelView()

    beforeKernelView(\Symfony\Component\HttpKernel\Event\GetResponseForControllerResultEvent $event)

#### Parameters

\Symfony\Component\HttpKernel\Event\GetResponseForControllerResultEvent | $event |

#

## Tags

None found

### findView()

    findView(\Symfony\Component\HttpFoundation\Request $request)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |

#

## Tags

None found

### getSubscribedEvents()

    getSubscribedEvents() : array

Register the method to execute in this class for a specific event (here the kernel.view event)

#### Returns

array —

The event names to listen to

#

static

## Tags

None found

### ViewListener.php